public static final class UpdateGatewayAuthConsumerRequest.Builder extends Object
| 限定符和类型 | 方法和说明 |
|---|---|
UpdateGatewayAuthConsumerRequest.Builder |
acceptLanguage(String acceptLanguage)
The language of the response.
|
UpdateGatewayAuthConsumerRequest |
build() |
UpdateGatewayAuthConsumerRequest.Builder |
description(String description)
The description of the consumer.
|
UpdateGatewayAuthConsumerRequest.Builder |
encodeType(String encodeType)
The encryption type.
|
UpdateGatewayAuthConsumerRequest.Builder |
gatewayUniqueId(String gatewayUniqueId)
The unique ID of the gateway.
|
UpdateGatewayAuthConsumerRequest.Builder |
id(Long id)
The ID of the consumer.
|
UpdateGatewayAuthConsumerRequest.Builder |
jwks(String jwks)
The JWT public key.
|
UpdateGatewayAuthConsumerRequest.Builder |
keyName(String keyName)
The name of the key used for JWT-based identity authentication.
|
UpdateGatewayAuthConsumerRequest.Builder |
keyValue(String keyValue)
The value of the key used for JWT-based identity authentication.
|
UpdateGatewayAuthConsumerRequest.Builder |
tokenName(String tokenName)
The names of the parameters that are required to verify each token.
|
UpdateGatewayAuthConsumerRequest.Builder |
tokenPass(Boolean tokenPass)
Specifies whether to enable pass-through.
|
UpdateGatewayAuthConsumerRequest.Builder |
tokenPosition(String tokenPosition)
The positions of the parameters that are required to verify each token.
|
UpdateGatewayAuthConsumerRequest.Builder |
tokenPrefix(String tokenPrefix)
The prefixes of the parameters that are required to verify each token.
|
public UpdateGatewayAuthConsumerRequest.Builder acceptLanguage(String acceptLanguage)
The language of the response. Valid values:
zh
public UpdateGatewayAuthConsumerRequest.Builder description(String description)
The description of the consumer.
example:Description
public UpdateGatewayAuthConsumerRequest.Builder encodeType(String encodeType)
The encryption type. Valid values:
RSA
public UpdateGatewayAuthConsumerRequest.Builder gatewayUniqueId(String gatewayUniqueId)
The unique ID of the gateway.
This parameter is required.
example:gw-90392d768a3847a7b804c505254d****
public UpdateGatewayAuthConsumerRequest.Builder id(Long id)
The ID of the consumer.
This parameter is required.
example:63
public UpdateGatewayAuthConsumerRequest.Builder jwks(String jwks)
The JWT public key. The JSON format is supported.
example:{"keys":[{"e":"AQAB","kid":"DHFbpoIUqrY8t2zpA2qXfCmr5VO5ZEr4RzHU_-envvQ","kty":"RSA","n":"xAE7eB6qugXyCAG3yhh7pkDkT65pHymX-P7KfIupjf59vsdo91bSP9C8H07pSAGQO1MV_xFj9VswgsCg4R6otmg5PV2He95lZdHtOcU5DXIg_pbhLdKXbi66GlVeK6ABZOUW3WYtnNHD-91gVuoeJT_DwtGGcp4ignkgXfkiEm4sw-4sfb4qdt5oLbyVpmW6x9cfa7vs2WTfURiCrBoUqgBo_-4WTiULmmHSGZHOjzwa8WtrtOQGsAFjIbno85jp6MnGGGZPYZbDAa_b3y5u-YpW7ypZrvD8BgtKVjgtQgZhLAGezMt0ua3DRrWnKqTZ0BJ_EyxOGuHJrLsn00fnMQ"}]}
public UpdateGatewayAuthConsumerRequest.Builder keyName(String keyName)
The name of the key used for JWT-based identity authentication.
example:iss
public UpdateGatewayAuthConsumerRequest.Builder keyValue(String keyValue)
The value of the key used for JWT-based identity authentication.
example:abcd
public UpdateGatewayAuthConsumerRequest.Builder tokenName(String tokenName)
The names of the parameters that are required to verify each token. By default, each token is prefixed with Bearer and stored in the Authorization header, such as Authorization: Bearer <Content of a token>.
Authorization
public UpdateGatewayAuthConsumerRequest.Builder tokenPass(Boolean tokenPass)
Specifies whether to enable pass-through.
example:true
public UpdateGatewayAuthConsumerRequest.Builder tokenPosition(String tokenPosition)
The positions of the parameters that are required to verify each token. By default, each token is prefixed with Bearer and stored in the Authorization header, such as Authorization: Bearer <Content of a token>.
HEADER
public UpdateGatewayAuthConsumerRequest.Builder tokenPrefix(String tokenPrefix)
The prefixes of the parameters that are required to verify each token. By default, each token is prefixed with Bearer and stored in the Authorization header, such as Authorization: Bearer <Content of a token>.
Bearer
public UpdateGatewayAuthConsumerRequest build()
Copyright © 2026. All rights reserved.